
User Interface - Bug #3056

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

Mouse pointer issues for menus

04/05/2016 07:47 AM - Vadim Gindin

Status: New Start date:  

Priority: Normal Due date:  

Assignee: Vadim Gindin % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 04/05/2016 07:48 AM - Vadim Gindin

1. If I'm getting in editor pop-up right from Editor inner area or FillIn the cursor TEXT is remained in pop-up the same (TEXT), but in Progress it is

DEFAULT pointer wherever I come in.

2. LOAD-MOUSE-POINTER is supported by menus too. I.e. it probably possible to set custom mouse pointer for menus (need testing).

#2 - 04/05/2016 08:06 AM - Greg Shah

- Start date deleted (04/05/2016)

- Parent task set to #2677

#3 - 04/21/2016 01:27 AM - Sergey Ivanovskiy

I think it needs to check z-order of the popup menu. The popup menu must be on the top of the widgets in its container to catch events first.
